/*
 * Progetto 12 capitolo 2 del libro Savitch II edizione.
 * 
 * Scrivere un programma che consenta all'utente di inserire il
 * raggio del tubo che costituisce il pozzo in cm (un pozzo tipico
 * ha un raggio di 8 cm) e la profondita' del pozzo in metri.
 * Si assuma per semplicita' che l'acqua occupi l'intera profondita' 
 * del pozzo, anche se in pratica cio' non sara' vero, dato che 
 * l'acqua arrivera' solo a circa 15 m dalla superficie). 
 * Il programma dovra' stampare il numero di litri d'acqua 
 * immagazzinati nel tubo. Si ricordi che:
 * il volume di un cilindro e' \pigreco r^2 h, dove r e' il raggio
 * e h e' l'altezza. 1 m^3 = 1000 litri.
 * 
 */

import java.util.*;
import java.text.*;

public class Pozzo {
	
	// public static final double PI = 3.14159;
	public static final int LITRI_PER_M3 = 1000;
	
	public static void main(String[] args){
		
		Scanner tastiera = new Scanner(System.in);
		
		System.out.println("Programma che calcola la portata di un pozzo.");
		System.out.print("Inserire il raggio del tubo del pozzo (in cm): ");
		int r = tastiera.nextInt();
		System.out.print("Inserire la profondita' (in metri): ");
		int h = tastiera.nextInt();
		
		double volume = Math.PI * Math.pow((double)r/100,2) * h;
		
		DecimalFormat df = new DecimalFormat("0.0");
		System.out.println("Il numero di litri contenuti nel pozzo e' pari a: "+df.format(volume*LITRI_PER_M3));
		
		tastiera.close();
		
	}

}
